#pragma once
#include "basic.h"
#include "renderer.h"
#include "model.h"

struct Window {
    GLFWwindow* glfw_window = nullptr;
    Renderer* renderer = nullptr;
    Model* model = nullptr;
};

bool init_window(Window *window, u32 width, u32 height, string title);
void main_loop(Window *window);
void cleanup(Window *window);
void handle_close(GLFWwindow *gl_window);
void handle_window_resize_events(GLFWwindow *gl_window, s32 width, s32 height);

